<?php

if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');

global $template;

// Show concours list in 3 cases :
// 1-> prepared concours (not actived)
// 2-> active concours
// 3-> closed concours

$prepared_concours = get_inactive_concours();
$active_concours = get_active_concours();
$closed_concours = get_closed_concours();

// 1 prepared concours
foreach ($prepared_concours as $concours)
{
  $template->append('prepared_concours', array(
    'ID' => $concours['id'],
	'CREATE_DATE'	=> $concours['create_date'],
    'NAME' => $concours['name'],
    'DESC' => $concours['descr'],
	'BEGIN_DATE'	=> $concours['begin_date'],
	'END_DATE'	=> $concours['end_date'],

    'U_EDIT' => PHPWG_ROOT_PATH . 'admin.php?page=plugin&amp;section=' . CONCOURS_DIR . '%2Fadmin%2Fadd_concours.php&amp;concours=' . $concours['id'].'&amp;action=modify',
    'U_DELETE' => !is_adviser() ? PHPWG_ROOT_PATH . 'admin.php?page=plugin&amp;section=' . CONCOURS_DIR . '%2Fadmin%2Fadd_concours.php&amp;concours=' . $concours['id'].'&amp;action=del' : '',
  ));

}
// 2 active concours
foreach ($active_concours as $concours)
{
  $template->append('active_concours', array(
    'ID' => $concours['id'],
	'CREATE_DATE'	=> $concours['create_date'],
    'NAME' => $concours['name'],
    'DESC' => $concours['descr'],
	'BEGIN_DATE'	=> $concours['begin_date'],
	'END_DATE'	=> $concours['end_date'],

    'U_EDIT' => PHPWG_ROOT_PATH . 'admin.php?page=plugin&amp;section=' . CONCOURS_DIR . '%2Fadmin%2Fadd_concours.php&amp;concours=' . $concours['id'].'&amp;action=modify',
    'U_DELETE' => !is_adviser() ? PHPWG_ROOT_PATH . 'admin.php?page=plugin&amp;section=' . CONCOURS_DIR . '%2Fadmin%2Fadd_concours.php&amp;concours=' . $concours['id'].'&amp;action=del': '',
  ));

}
// 3 closed concours
foreach ($closed_concours as $concours)
{
	if ($concours['id'] != 0)	// Default are not display
	{
		$filename = has_file($concours['id']);
	  $template->append('closed_concours', array(
		'ID' => $concours['id'],
		'CREATE_DATE'	=> $concours['create_date'],
		'NAME' => $concours['name'],
		'DESC' => $concours['descr'],
		'BEGIN_DATE'	=> $concours['begin_date'],
		'END_DATE'	=> $concours['end_date'],

		'U_EDIT' => PHPWG_ROOT_PATH . 'admin.php?page=plugin&amp;section=' . CONCOURS_DIR . '%2Fadmin%2Fadd_concours.php&amp;concours=' . $concours['id'].'&amp;action=edit',
		'U_DELETE' => !is_adviser() ? PHPWG_ROOT_PATH . 'admin.php?page=plugin&amp;section=' . CONCOURS_DIR . '%2Fadmin%2Fadd_concours.php&amp;concours=' . $concours['id'].'&amp;action=del' : '',
		'U_RESULT' => (!is_adviser() and !has_result($concours['id']) )? PHPWG_ROOT_PATH . 'admin.php?page=plugin&amp;section=' . CONCOURS_DIR . '%2Fadmin%2Fadd_concours.php&amp;concours=' . $concours['id'].'&amp;action=result' : '',
		'U_FILE' => !is_adviser() 
						? ($filename ? CONCOURS_ADMIN_PATH . 'file.php?file=' . $filename
																: (has_result($concours['id']) ? PHPWG_ROOT_PATH . 'admin.php?page=plugin&amp;section=' . CONCOURS_DIR . '%2Fadmin%2Fadd_concours.php&amp;concours=' . $concours['id'].'&amp;action=file' : ''))
						: '',
	  ));
	}
}

$template->assign('IMG_URL', CONCOURS_IMG_PATH);



$template->set_filename('plugin_admin_content', dirname(__FILE__) . '/template/manage.tpl');
$template->assign_var_from_handle('ADMIN_CONTENT', 'plugin_admin_content');

?>